Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.AreaOfInterestListener

    java.lang.Object
      java.awt.event.MouseAdapter
          javax.swing.event.MouseInputAdapter
              org.apache.batik.apps.svgbrowser.ThumbnailDialog.AreaOfInterestListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener, MouseInputListener

Enclosing class:
  ThumbnailDialog

    protected class ThumbnailDialog.AreaOfInterestListener

extends MouseInputAdapter

Used to perform a translation using the area of interest.

Field Summary
`protected boolean` | `in`
`protected int` | `sx`
`protected int` | `sy`

Constructor Summary
`protected` | `ThumbnailDialog.AreaOfInterestListener()`

Method Summary
`void` | `mouseDragged(MouseEvent evt)`
`void` | `mousePressed(MouseEvent evt)`
`void` | `mouseReleased(MouseEvent evt)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from interface java.awt.event.MouseMotionListener
`mouseMoved`

Field Detail

### sx

    protected int sx

### sy

    protected int sy

### in

    protected boolean in

Constructor Detail

### ThumbnailDialog.AreaOfInterestListener

    protected ThumbnailDialog.AreaOfInterestListener()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent evt)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseDragged

    public void mouseDragged(MouseEvent evt)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `MouseAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent evt)

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.